<p>file works!</p>
<div class="row">
  <div class="col-md-3">
    <button (click)="uploadPublic()"> Upload public</button>
  </div>
  <div class="col-md-3">
    <button (click)="uploadPrivate()"> Upload private</button>
  </div>
  <div class="col-md-3">
    <button (click)="uploadProtected()"> Upload protected</button>
  </div>
</div>


